import {Component, ViewChild, AfterViewInit} from '@angular/core';
import {AppComponent} from 'app/app.component';
import {ScrollPanel} from 'primeng/primeng';

@Component({
    selector: 'of-rightpanel',
    templateUrl: './app.rightpanel.component.html'
})
export class AppRightpanelComponent implements AfterViewInit {

    @ViewChild('scrollRightPanel') rightPanelMenuScrollerViewChild: ScrollPanel;

    constructor(public app: AppComponent) {}

    ngAfterViewInit() {
      setTimeout(() => {this.rightPanelMenuScrollerViewChild.moveBar(); }, 100);
    }
}
