// import { NgModule } from '@angular/core';
// import { Routes, RouterModule, PreloadAllModules } from '@angular/router';
// import { AuthGuard } from './commons/guard/auth.guard';

// const routes: Routes = [
//   { path: '', loadChildren: './pages/pages.module#PagesModule' },
//   { path: 'auth', loadChildren: './pages/auth/auth-page.module#AuthPageModule' },
//   { path: 'errors', loadChildren: './pages/errors/errors-page.module#ErrorsPageModule' },
// ];

// @NgModule({
//   imports: [RouterModule.forRoot(routes, {useHash: true, preloadingStrategy: PreloadAllModules})],
//   exports: [RouterModule],
// })
// export class AppRoutingModule { }

import { Routes, RouterModule } from '@angular/router';
import { ModuleWithProviders } from '@angular/core';

export const routes: Routes = [
  { path: '', loadChildren: './pages/pages.module#PagesModule' },
  { path: 'auth', loadChildren: './pages/auth/auth-page.module#AuthPageModule' },
];

export const AppRoutingModule: ModuleWithProviders = RouterModule.forRoot(routes);
