import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FooterComponent } from './footer/footer.component';
import { HeaderComponent } from './header/header.component';
import { LocalizationModule } from 'angular-l10n';
import { RouterModule } from '@angular/router';
import { SidebarComponent } from './sidebar/sidebar.component';
import { SubMenubarComponent } from './sub-menubar/sub-menubar.component';

@NgModule({
    imports: [
        CommonModule,
        LocalizationModule,
        RouterModule,
    ],
    declarations: [
        FooterComponent,
        HeaderComponent,
        SidebarComponent,
        SubMenubarComponent
    ],
    exports: [
        FooterComponent,
        HeaderComponent,
        SidebarComponent,
        SubMenubarComponent
    ]
})
export class LayoutModule { }
